package email

import "regexp"

// 验证是否邮箱
func IsEmailValid(email string) bool {
	// 邮箱正则表达式
	regex := `^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$`

	// 编译正则表达式
	regexPattern := regexp.MustCompile(regex)

	// 根据正则表达式验证邮箱
	return regexPattern.MatchString(email)
}
